require(['jquery'],function($){
  var location = window.location.href;
  var serverpath = location.match(/^(.+)\/xwiki.*$/)[1];

  var hash = "";
  var hashParam = "";
  var hasHash = location.match(/#(.*)$/);
  if (hasHash) {
    location = location.replace(/#.*$/g, "");
    hash = "#" + hasHash[1];
    var ref = $(document.getElementById(hasHash[1]));
    if (ref.length === 1) {
      var tagName = ref.get(0).tagName;
      var index = ref.parent().children(tagName).toArray().indexOf(ref.get(0));
      hashParam = "heading=" + tagName + "=" + index + "&";
    }
  }

  var heading = window.location.search.match(/(\?|&)heading=(h1|h2|h3|h4|h5|h6)=(\d+)/i);
  if (heading) {
    location = location.replace(/(\?|&)heading=(h1|h2|h3|h4|h5|h6)=(\d+)&?/ig, "");
    var selectedHeading = $("#xwikicontent").children(heading[2]).eq(parseInt(heading[3]));
    if (selectedHeading.length > 0 && !hashParam) {
      hashParam = "heading=" + heading[2] + "=" + heading[3] + "&";
      if (typeof selectedHeading.get(0).scrollTo === "function") {
        $(function(){selectedHeading.get(0).scrollTo()});
      }
    }
  }

  var hasLangParameter = location.match(/language=\w\w/);
  if (hasLangParameter != null) {
    location = location.replace(/language=\w\w/g, "");
    location = location.replace(/\&\&/g, "&");
    location = location.replace(/\?\&/g, "?");
  }
  var hasParametes = location.match(/[?]/)
  hasParametes = hasParametes == null ? false : hasParametes.length;
  var urlSeparator = hasParametes ? '&' : '?';
  location = location + urlSeparator + hashParam + 'language=';
  location = location.replace(/\?\&/g, "?");
  $('.navbar #xwikimainmenu UL.navbar-right LI').last().before('<li class="navbar-avatar" title="English"><a href="' + location + 'en" class="icon-navbar icon-navbar-langselect icon-navbar-langselect-en"><span class="sr-only">English</span><img src="'+serverpath+'/xwiki/bin/download/FlamingoThemes/Iceberg/Flag_EN.png?width=66&amp;height=50&amp;keepAspectRatio=true&amp;rev=1.1" alt="English" title="English"></a></li>');
  $('.navbar #xwikimainmenu UL.navbar-right LI').last().before('<li class="navbar-avatar" title="Deutsch"><a href="' + location + 'de" class="icon-navbar icon-navbar-langselect icon-navbar-langselect-de"><span class="sr-only">Deutsch</span><img src="'+serverpath+'/xwiki/bin/download/FlamingoThemes/Iceberg/Flag_DE.png?width=50&amp;height=50&amp;keepAspectRatio=true&amp;rev=1.1" alt="Deutsch" title="Deutsch"></a></li>');
  if (XWiki.docvariant != "" && XWiki.docvariant.match(/language/) != null && !location.match(/^.+bin\/view\/Blog\/FORMCYCLE.+$/)) {
    //console.log(XWiki.docvariant.match(/language=\w+/));
    var lang = XWiki.docvariant.match(/language=(\w+)/)[1];
    //console.log(lang, location);
    if (lang == "en") {$('.icon-navbar-langselect-de').addClass('inactive')}
    if (lang == "de") {$('.icon-navbar-langselect-en').addClass('inactive')}
  } else {
    var lang = $('html').attr('lang');
    //console.log("lang", lang);
    if (lang == "en") {$('.icon-navbar-langselect-de').addClass('inactive')}
    if (lang == "de") {$('.icon-navbar-langselect-en').addClass('inactive')}
  }
});
